Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

New APIs for common areas & shared line groups, along with enhanced call logs fields

API releaseNew feature

Summary:Common areas, shared line groups, webhooks, and call logs enhancements.

Added

  • New Common Areas APIs:
    • GET /v2/phone/common_areas/activation_codes
    • GET /v2/accounts/{accountId}/phone/common_areas/activation_codes
  • New Shared Line Group APIs:
    • PATCH /v2/phone/shared_line_groups/{sharedLineGroupId}/policies
    • PATCH /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/policies
    • GET /v2/phone/shared_line_groups/{sharedLineGroupId}/policies
    • GET /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/policies
  • New webhook Webhook event:
    • phone.line_status_changed

Enhancements

  • New recording_status,recording_status,cost_center,time_type response fields in the following Call Logs APIs:
    • GET /v2/accounts/{accountId}/phone/call_history
    • GET /v2/phone/call_history
  • New result_reason response field in the following Call Logs APIs:
    • GET /v2/phone/call_history/{callLogId}
    • GET /v2/accounts/{accountId}/phone/call_history/{callLogId}
  • New caller_number_type,callee_number_type response fields in the following Call Logs APIs:
    • GET /v2/accounts/{accountId}/phone/call_history
    • GET /v2/phone/call_history
    • GET /v2/phone/call_history/{callLogId}
    • GET /v2/accounts/{accountId}/phone/call_history/{callLogId}
  • New extension_id response field in the following Shared Line Group APIs:
    • GET /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}
    • GET /v2/phone/shared_line_groups/{sharedLineGroupId}